# rpcap_findalldevs_ifaddr Struct Reference
[Internal Structures and Definitions]

Format of the message for the address listing (findalldevs command). More...

`#include <pcap-remote.h>`

## Data Fields

struct sockaddr_storage | addr
| Network address.
struct sockaddr_storage | netmask
| Netmask for that address.
struct sockaddr_storage | broadaddr
| Broadcast address for that address.
struct sockaddr_storage | dstaddr
| P2P destination address for that address.

## Detailed Description

Format of the message for the address listing (findalldevs command).

Definition at line 171 of file pcap-remote.h.

## Field Documentation

struct sockaddr_storage addr `[read]`

Network address.

Definition at line 173 of file pcap-remote.h.

struct sockaddr_storage broadaddr `[read]`

Broadcast address for that address.

Definition at line 175 of file pcap-remote.h.

struct sockaddr_storage dstaddr `[read]`

P2P destination address for that address.

Definition at line 176 of file pcap-remote.h.

struct sockaddr_storage netmask `[read]`

Netmask for that address.

Definition at line 174 of file pcap-remote.h.

The documentation for this struct was generated from the following file:

- pcap-remote.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.